#include <math.h>
void nprind1sq(double *x, double *e, int *n, int *n2,double *t) 
{
    int i, j, k, l;
    double t1, t2, t3, exdif[*n2], eedif[*n2];
//    for(i = 0; i < *n2; i++)
    //   {
//	exdif[i]=0.0;
//	eedif[i]=0.0;
    //   }
    for(i = 0; i < *n; i++)
    {
	exdif[i * *n + i] = 1.0;
	eedif[i * *n + i] = 1.0;
	for( j = i+1; j < *n; j++) 
	{
	    exdif[i * *n + j] = 1.0 / (1.0 + ((x[j]-x[i]) * (x[j]-x[i])));
	    eedif[i * *n + j] = 1.0 / (1.0 + ((e[j]-e[i]) * (e[j]-e[i])));
	    exdif[j * *n + i] = exdif[i * *n + j];
	    eedif[j * *n + i] = eedif[i * *n + j];
 	}
    }
    t1 = 0.0;
    t2 = 0.0;
    t3 = 0.0;
    for(i = 0; i < *n; i++)
    {
	t1 += 1.0;           
	for( k = 0; k < *n; k++)
	{
	    t2 += eedif[i * *n + k];
	    t3 += 1.0;
	    for( l = k+1 ; l < *n; l++)
	    {
		t3 += 2.0 * eedif[k * *n + l];
	    }
	}
	for( j = i+1; j < *n; j++) 
	{
	    t1 += 2.0 * exdif[i * *n + j] * eedif[i * *n + j];
	    t3 += (2.0 * *n ) * exdif[i * *n + j];
	    for( k = 0; k < *n; k++)
	    {
		t2 += exdif[i * *n + j] * ( eedif[k * *n + j] +  eedif[k * *n + i]);
		for( l = k+1; l < *n; l++)
		{
		    t3 += 4.0 * exdif[i * *n + j] *  eedif[k * *n + l];
		}
	    }
	}
    }
    *t = 4.0 * ( ( t1 + ( -2.0 * t2 + t3 / *n ) / *n) / *n ); 
}
